package io.zipcoder.persistenceapp.Model;

import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class HomeMapper implements RowMapper<Home> {

    public Home mapRow(ResultSet resultSet, int rowNum) throws SQLException {
        Home home = new Home();
        home.setID(resultSet.getLong("ID"));
        home.setAddress(resultSet.getString("ADDRESS"));
        home.setHomeNumber(resultSet.getString("HOMENUMBER"));
        return home;
    }

}
