package io.zipcoder.persistenceapp.Service;

import io.zipcoder.persistenceapp.Model.Person;

import java.sql.Date;

public interface PersonService {

    Iterable<Person> getAllPersons();
    Boolean createPerson(String firstName, String lastName, Date birthDate, String mobileNumber);
    Person getPerson(Integer ID);
    Person updatePerson(Integer ID, String firstName, String lastName, Date birthDate, String mobileNumber);
    Boolean deletePerson(Integer ID);
    Iterable<Person> getByMobile(String mobileNumber);
    Iterable<Person> getBySurname(String lastName);

}
